##
# This file is part of WhatWeb and may be subject to
# redistribution and commercial restrictions. Please see the WhatWeb
# web site for more information on licensing and terms of use.
# http://www.morningstarsecurity.com/research/whatweb
##
Plugin.define "phpSysInfo" do
author "Brendan Coles <bcoles@gmail.com>" # 2010-06-12
version "0.1"
description "PHPSysInfo is a customizable PHP Script that parses /proc, and formats information nicely. It will display information about system facts like Uptime, CPU, Memory, PCI devices, SCSI devices, IDE devices, Network adapters, Disk usage, and more. - homepage:http://phpsysinfo.sourceforge.net/"
examples %w|
phpsysinfo.sourceforge.net/phpsysinfo/
fountainalleylofts.com
www.sanjoseurbanliving.com
www.japantownliving.com
www.sanjoseurban.com
oneeastjulian.com
paloaltolofts.com
www.thewalnutfactorylofts.com
www.plant51lofts.com
sunnyvalelofts.com
gothenburg.homelinux.com/phpsysinfo/
sys.onzin.org
www.rob-smith.co.uk/phpsysinfo/
www.invinciblehost.com/phpSysInfo/
www.viperxx.net/phpsysinfo/
coreybarker.net/phpsysinfo/
www.rserve.biz/phpsysinfo/
www.pinakothek.de/phpsysinfo/
www.lnxgeek.com/phpsysinfo/
tacanahosting.com/phpsysinfo/
http://www.leadingit.net/phpsysinfo/
https://grosjo.net/sysinfo/
hm1.hostpeek.com/phpsysinfo/
www.bartbaars.nl/phpsysinfo/
www.resellerdomain.org/status/phpsysinfo/
vdr.qlex.org
whizzcats.com/sysinfo/
protcluster.biotec.or.th/phpSysInfo/
cbrc.musc.edu/phpSysInfo/
|

matches [

# About 16,400 results @ 2010-06-09
{:name=>'GHDB: "Created by phpSysInfo"',
:certainty=>75,
:ghdb=>'"Created by phpSysInfo"'
}

]

def passive
        m=[]

        if @body =~ /Created by[\s&nbsp;]*<a href="http:\/\/phpsysinfo.sourceforge.net[\/]*"[\ target="_blank"]*>[\s&nbsp;]*phpSysInfo[\s&nbsp;]*-[\s&nbsp;]*[\.\-0-9a-zA-Z]+<\/a>/
                version=@body.scan(/Created by[\s&nbsp;]*<a href="http:\/\/phpsysinfo.sourceforge.net[\/]*"[\ target="_blank"]*>[\s&nbsp;]*phpSysInfo[\s&nbsp;]*-[\s&nbsp;]*([\.\-0-9a-zA-Z]+)<\/a>/)[0][0]
                m << {:name=>"created by text",:version=>version}
        end

	if @body =~ /Generated by[\s&nbsp;]*<a href="http:\/\/phpsysinfo.sourceforge.net[\/]*"[\ target="_blank"]*>[\s&nbsp;]*phpSysInfo[\s&nbsp;]*-[\s&nbsp;]*[\.\-0-9a-zA-Z]+<\/a>/
                version=@body.scan(/Generated by[\s&nbsp;]*<a href="http:\/\/phpsysinfo.sourceforge.net[\/]*"[\ target="_blank"]*>[\s&nbsp;]*phpSysInfo[\s&nbsp;]*-[\s&nbsp;]*([\.\-0-9a-zA-Z]+)<\/a>/)[0][0]
                m << {:name=>"generated by text",:version=>version}
        end


	m

end

end

